<?php

namespace App\Classes\Modules\Schedules\Standards\Rules;


use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\Schedules\DataTransferObjects\ScheduleObject;

class CanListSchedules extends AbstractRule
{


    /**
     * @return bool
     */
    protected function authorized(): bool
    {
        // TODO  Set Authorization rules
        return true;

    }

    /**
     * @param ScheduleObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;

    }


    /**
     * @param ScheduleObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}
